Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::MaterialManager Class Reference

マテリアルマネージャ More...

`#include <MaterialManager.h>`

Inheritance diagram for Lamp::MaterialManager:

List of all members.

## Public Member Functions
virtual BasicMaterial * | createBasicMaterial (const String &materialName)
| 基本マテリアルの作成
virtual bool | initializeGraphicsDeviceObjects ()
| デバイスオブジェクトの初期化
virtual void | deleteGraphicsDeviceObjects ()
| デバイスオブジェクトの削除
virtual bool | restoreGraphicsDeviceObjects ()
| デバイスオブジェクトのリストア
virtual void | invalidateGraphicsDeviceObjects ()
| デバイスオブジェクトの無効化
## Protected Member Functions
| MaterialManager (Scene *scene)
| コンストラクタ
## Friends
class | Scene

## Detailed Description

マテリアルマネージャ

Definition at line 37 of file MaterialManager.h.

## Constructor & Destructor Documentation

Lamp::MaterialManager::MaterialManager | ( | Scene * | scene | ) | `[protected]`

  | コンストラクタ Parameters:
  scene | シーン
Definition at line 32 of file MaterialManager.cpp.

## Member Function Documentation

BasicMaterial * Lamp::MaterialManager::createBasicMaterial | ( | const String & | materialName | ) | `[virtual]`

  | 基本マテリアルの作成 すでに同じマテリアル名のマテリアルが存在するとエラーになります。 空文字列を名前に指定するとエラーになります。 Parameters:
  materialName | マテリアル名
Returns: 作成されたマテリアル Definition at line 37 of file MaterialManager.cpp. References Lamp::SceneObjectManagerTemplate< Material >::addDatabase(), Lamp::SceneObjectManagerTemplate< Material >::checkName(), Lamp::SceneObjectManagerTemplate< Material >::getScene(), and NULL. Referenced by Lamp::BasicMaterial::copyBasicMaterial(), Lamp::TextSceneLoader::readBasicMaterial(), and Lamp::BinarySceneLoader::readBasicMaterial().

bool Lamp::MaterialManager::initializeGraphicsDeviceObjects | ( |  | ) | `[virtual]`

| デバイスオブジェクトの初期化 Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Definition at line 45 of file MaterialManager.cpp. References Lamp::SceneObjectManagerTemplate< Material >::get(), Lamp::SceneObjectManagerTemplate< Material >::getCount(), and Lamp::Material::initializeGraphicsDeviceObjects(). Referenced by Lamp::Scene::initializeGraphicsDeviceObjects().

bool Lamp::MaterialManager::restoreGraphicsDeviceObjects | ( |  | ) | `[virtual]`

| デバイスオブジェクトのリストア Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Definition at line 62 of file MaterialManager.cpp. References Lamp::SceneObjectManagerTemplate< Material >::get(), Lamp::SceneObjectManagerTemplate< Material >::getCount(), and Lamp::Material::restoreGraphicsDeviceObjects(). Referenced by Lamp::Scene::restoreGraphicsDeviceObjects().

The documentation for this class was generated from the following files:

- MaterialManager.h
- MaterialManager.cpp